/*ͻ
 File:       Backup.ch                                                     
 Author(s):  Wilson H. Yuen                                                
*/

#define NOTIFY_SOUND   { 100, 500, 1000 }
#define pERR           "W+/R"
#define pHELP          "B/W"
#define pSTD           "W+/B"

#define pREAD           11   //-- BG+/N
#define pNEG1          116   //-- R/W
#define pSTD2           23   //-- W/B
#define pENH            71   //-- W/R
#define pUNS           112   //-- N/W
#define pPICK           63   //-- W+/BG
#define pPICK2          53   //-- BR/BG
#define pALERT          47   //-- W+/G


#define pTRUE          .T.
#define pFALSE         .F.
#define pON            .T.
#define pOFF           .F.

#define pSINGLE_LINE    1
#define pDOUBLE_LINE    2

//-- DBOpen() - cDBF_
#define pDBFNAME        1
#define pDBFALIAS       2
#define pDBFSHARE       3
#define pSHARE         .t.
#define pEXCLUSIVE     .f.


//-- DBOpen() - cNTX_
#define pDBFNTXALIAS    1
#define pNTXNAME        2
#define pNTXKEY         3



*-------------------------------------------------
*  Create a pseudo-command/function              |
*  Example: DEFAULT mVar TO 10                   |
*  Desc:    If mVar is NIL the set mVar to 10.   |
*-------------------------------------------------
#xcommand DEFAULT <xVal1> TO <xDefVal1> [, <xVal2> TO <xDefVal2> ] => ;
                  IF <xVal1> == NIL ; <xVal1> := <xDefVal1> ; END ;
                  [; IF <xVal2> == NIL ; <xVal2> := <xDefVal2> ; END ]

*--------------------------------------------------------------
*  Example: HIGHLIMIT( mVar, 100 )                            |
*  Desc:    If mVar is greater than 100 then set mVar to 100. |
*--------------------------------------------------------------
#xcommand HIGHLIMIT( <xVal>, <xHiVal> ) => ;
                  IF <xVal> > <xHiVal> ; <xVal> := <xHiVal> ; END


*------------------------------------------------
* Example: ErrMsg("File not found")             |
* Desc: Redefine ErrMsg() to Msg( <var>, "E" )  |
*------------------------------------------------
#xtranslate ErrMsg( <cMsg_> ) =>;
              Msg( <cMsg_>, "E" )

*------------------------------------------------
* Example: WarnMsg("File not found")            |
* Desc: Redefine WarnMsg() to Msg( <var>, "W" ) |
*------------------------------------------------
#xtranslate WarnMsg( <cMsg_> ) =>;
              Msg( <cMsg_>, "W" )



